From e4778299a3e49a634d2c7fe4fd9ac77777e829e3 Mon Sep 17 00:00:00 2001
From: Jim Somerville <Jim.Somerville@windriver.com>
Date: Tue, 14 Oct 2014 02:56:08 -0400
Subject: [PATCH] Skip AC_RUN_IFELSE tests

Upstream-Status: Inappropriate [cross compiling specific]

Such tests are not supported in a cross compile
environment.  Choose sane defaults.

Signed-off-by: Jim Somerville <Jim.Somerville@windriver.com>
Signed-off-by: Jackie Huang <jackie.huang@windriver.com>

---
 acinclude/krb5.m4       | 10 +++++++++-
 acinclude/lib-checks.m4 |  8 ++++++--
 2 files changed, 15 insertions(+), 3 deletions(-)

diff --git a/acinclude/krb5.m4 b/acinclude/krb5.m4
index ad0ba60..4477446 100644
--- a/acinclude/krb5.m4
+++ b/acinclude/krb5.m4
@@ -61,7 +61,15 @@ main(void)
 
         return 0;
 }
-]])], [ squid_cv_broken_heimdal_krb5_h=yes ], [ squid_cv_broken_heimdal_krb5_h=no ])
+]])], [ squid_cv_broken_heimdal_krb5_h=yes ], [ squid_cv_broken_heimdal_krb5_h=no ],
+[
+  dnl Can't test in cross compiled env - so assume good
+  squid_cv_broken_heimdal_krb5_h=no
+])
+    ],
+    [
+     dnl Can't test in cross compiled env - so assume good
+     squid_cv_broken_heimdal_krb5_h=no
     ])
   ])
 ]) dnl SQUID_CHECK_KRB5_HEIMDAL_BROKEN_KRB5_H
diff --git a/acinclude/lib-checks.m4 b/acinclude/lib-checks.m4
index 7624b56..b449c5a 100644
--- a/acinclude/lib-checks.m4
+++ b/acinclude/lib-checks.m4
@@ -217,7 +217,9 @@ AC_DEFUN([SQUID_CHECK_OPENSSL_CONST_SSL_METHOD],[
   [
    AC_MSG_RESULT([no])
   ],
-  [])
+  [
+   AC_MSG_RESULT([skipped - can't test in cross-compiled env])
+  ])
 
 SQUID_STATE_ROLLBACK(check_const_SSL_METHOD)
 ])
@@ -377,7 +379,9 @@ AC_DEFUN([SQUID_CHECK_OPENSSL_TXTDB],[
    AC_MSG_RESULT([yes])
    AC_DEFINE(SQUID_USE_SSLLHASH_HACK, 1)
   ],
-[])
+[
+   AC_MSG_RESULT([skipped - can't test in cross-compiled env])
+])
 
 SQUID_STATE_ROLLBACK(check_TXTDB)
 ])
